Skip to main content
GET
/
2025-10
/
retail-media
/
account-management
/
accounts
/
{accountId}
/
private-market-child-accounts
/2025-10/retail-media/account-management/accounts/{accountId}/private-market-child-accounts
curl --request GET \
  --url https://api.criteo.com/2025-10/retail-media/account-management/accounts/{accountId}/private-market-child-accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.criteo.com/2025-10/retail-media/account-management/accounts/{accountId}/private-market-child-accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.criteo.com/2025-10/retail-media/account-management/accounts/{accountId}/private-market-child-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "attributes": {
        "companyName": "<string>",
        "countryIds": [
          "<string>"
        ],
        "currencyId": "<string>",
        "name": "<string>",
        "onBehalfCompanyName": "<string>",
        "timeZone": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "metadata": {
    "limit": 123,
    "offset": 123,
    "count": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account Id

Query Parameters

limit
integer<int32>
default:25

The number of accounts to be returned. The default is 25.

offset
integer<int32>
default:0

The (zero-based) offset into the collection of accounts. The default is 0.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities and metadata.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

metadata
object | null

Metadata related to the current request.

warnings
object[] | null
read-only

Warnings that occured during this call.